all repos

freshrss-image @ c9bc57468fbcc9cbed8ce34adff3ad83fd49e531

my FreshRSS setup (abandoned)
2 files changed, 50 insertions(+), 0 deletions(-)
add fetch and build scripts
Author: Olexandr Smirnov olexsmir@gmail.com
Committed at: 2025-07-24 22:57:18 +0300
Parent: b6d4865
A build.sh

@@ -0,0 +1,8 @@

+#!/usr/bin/env bash +set -eou pipefail + +IMAGE_NAME="ghcr.io/olexsmir/freshrss-image" +TAG="${1:-latest}" + +echo "[!] Building image $IMAGE_NAME:$TAG" +docker build -f Containerfile -t "$IMAGE_NAME:$TAG" .
A fetch.sh

@@ -0,0 +1,42 @@

+#!/usr/bin/env bash +set -eou pipefail + +EXT_DIR="$(dirname "$0")/extensions" +rm -rf "$EXT_DIR" +mkdir -p "$EXT_DIR" + +## helpers +fetch_flat_repo() { + local repo="$1" + + local tmp + tmp="$(mktemp -d)" + + echo "[!] Fetching multiple extensions from $repo" + git clone --depth=1 "$repo" "$tmp" 2>/dev/null + + for d in "$tmp"/*; do + [[ -d "$d" ]] || continue + cp -r "$d" "$EXT_DIR/$(basename "$d")" + done + + rm -rf "$tmp" +} +fetch_extension() { + local repo="$1" + local name="$2" + + local tmp + tmp="$(mktemp -d)" + + echo "[!] Fetching $name from $repo" + git clone --depth=1 "$repo" "$tmp" 2>/dev/null + cp -r "$tmp" "$EXT_DIR/$name" + rm -rf "$tmp" +} + +## getting the extensions +fetch_flat_repo "https://github.com/FreshRSS/Extensions" +fetch_flat_repo "https://github.com/cn-tools/cntools_FreshRssExtensions" +fetch_extension "https://framagit.org/nicofrand/xextension-threepanesview.git" "ThreePanesView" +fetch_extension "https://github.com/aledeg/xExtension-RedditImage" "RedditImage"